# util-backend

[<img src="https://badge.fury.io/js/%40algoraven%2Futil-backend.svg" />](https://www.npmjs.com/package/@marsupialtail/util-backend)

Collection of domain-specific util functions for server apps like `api`.

> 🚨 ALWAYS PULL BEFORE MAKING CHANGES! Pushing to `main` without pulling may lead to merge conflicts.

> 🚨 Do not change version in `package.json`! The deploy bot automatically does it for you.

## Contribution

Steps for contributing:
1. Create a feature branch
2. Push your code to your feature branch
3. Create a Pull Request on GitHub

Please contribute to thie repo with either of the following:
- Reusable functions
- Universally applicable constants

## Publishing to NPM

Pushes to `main` are automatically published to NPM. Please use caution and consult with the team before pushing to `main`.

## Usage

1. Install: `yarn add @marsupialtail/util-backend`

2. Import as follows.
    ```
    import { ... } from '@marsupialtail/util-backend'
    ```
