export declare class Networking {
    /**
     * Parses an IP string into an IPV4 address.
     * @param ipv4OrIpv6 Either an IPV4 or IPV6 string.
     * @returns The IP string into an IPV4 address.
     */
    static getIpv4: (ipv4OrIpv6: string) => string;
}
