import { ExpressRequest, Response } from '../v1';
export * from './auth';
export * from './post-request';
export * from './pre-request';
export * from './express';
/**
 * A generic middleware function. It is encouraged to send a response via the res parameter in order to
 * cancel the request. If no response is sent, the request will continue.
 */
export declare type MiddlewareFunction<T = void> = (req: ExpressRequest, res: Response<any, any>) => Promise<T>;
